<script lang="ts">
    export let progress = 0
</script>

<div class="h-8 m-4 border-2 border-grijs-3 bg-white progress">
    <div class="progress h-full bg-donkerblauw w-full" style="transform: scaleX({progress})"></div>
</div>

<style>
    .progress {
        transform-origin: left;
        transition: transform .45s ease-in-out;
    }
</style>